#include "claseVerTexto.h"

claseVerTexto::claseVerTexto(QWidget *parent=0, char *name=0)
                             : QDialog(parent,name,FALSE,0)
{
        setGeometry(30,30,200,200);
        setCaption(i18n("K ModBox - .it's TextViewer"));

        texto = new QMultiLineEdit(this,"texto");
        texto->setReadOnly( TRUE );
}

claseVerTexto::~claseVerTexto()
{
        delete texto;
}

void claseVerTexto::cargar_texto( char *el_texto)
{
        char *aux;

        aux=el_texto;
        while (*aux!=0)
        {
                if (*aux=='\r') *aux='\n';
                ++aux;
        }
        texto->setText(el_texto);
}

void claseVerTexto::mostrar( bool ver)
{
        if ( ver && (this->isVisible()==FALSE) )
           this->show();
        else
        {
           if ( (ver==FALSE) && (this->isVisible()==TRUE) )
              this->hide();
        }
}

void claseVerTexto::resizeEvent( QResizeEvent *r)
{
        QSize tam;
        tam=r->size();
        texto->setGeometry( 0, 0, tam.width(), tam.height());
}

void claseVerTexto::closeEvent( QCloseEvent *e)
{
        emit ocultar_texto();
        e->accept();
}

#include "claseVerTexto.moc"
